Package org.eclipse.swt.accessibility

# Class AccessibleAttributeEvent

java.lang.Object
SWTEventObject
org.eclipse.swt.accessibility.AccessibleAttributeEvent

public class AccessibleAttributeEvent extends SWTEventObject
Instances of this class are sent as a result of accessibility clients sending AccessibleAttribute messages to an accessible object.

Since:
  1.4
See Also:
  - `AccessibleAttributeListener`
  - `AccessibleAttributeAdapter`

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`alignment`
`String[]`
`attributes`
`int`
`bottomMargin`
`int`
`indent`
`boolean`
`justify`
`int`
`leftMargin`
`int`
`rightMargin`
`int[]`
`tabStops`
`int`
`topMargin`

## Constructor Summary

Constructors
Constructor
Description
`AccessibleAttributeEvent(Object source)`
Constructs a new instance of this class.

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`
Returns a string containing a concise, human-readable description of the receiver.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### topMargin

public int topMargin

### bottomMargin

public int bottomMargin

### leftMargin

public int leftMargin

### rightMargin

public int rightMargin

### tabStops

public int[] tabStops

### justify

public boolean justify

### alignment

public int alignment

### indent

public int indent

### attributes

public String[] attributes

## Constructor Details

### AccessibleAttributeEvent

public AccessibleAttributeEvent(Object source)
Constructs a new instance of this class.

Parameters:
  `source` - the object that fired the event

## Method Details

### toString

public String toString()
Returns a string containing a concise, human-readable description of the receiver.

Returns:
  a string representation of the event